# GstARGBControlBinding

A value mapping object that attaches multiple control sources to a guint gobject properties representing a color. A control value of 0.0 will turn the color component off and a value of 1.0 will be the color level.

## GstARGBControlBinding

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstControlBinding
                    ╰──GstARGBControlBinding

The instance structure of GstARGBControlBinding.

### Members

`parent` (GstControlBinding) –
No description available

### Class structure

#### GstARGBControlBindingClass

The class structure of GstARGBControlBinding.

##### Fields

`parent_class` (GstControlBindingClass) –

Parent class

### GstController.ARGBControlBindingClass

The class structure of GstController.ARGBControlBinding.

##### Attributes

`parent_class` (Gst.ControlBindingClass) –

Parent class

### GstController.ARGBControlBindingClass

The class structure of GstController.ARGBControlBinding.

##### Attributes

`parent_class` (Gst.ControlBindingClass) –

Parent class

## GstController.ARGBControlBinding

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlBinding
                    ╰──GstController.ARGBControlBinding

The instance structure of GstController.ARGBControlBinding.

### Members

`parent` (Gst.ControlBinding) –
No description available

## GstController.ARGBControlBinding

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlBinding
                    ╰──GstController.ARGBControlBinding

The instance structure of GstController.ARGBControlBinding.

### Members

`parent` (Gst.ControlBinding) –
No description available

### Constructors

#### gst_argb_control_binding_new

    GstControlBinding *
    gst_argb_control_binding_new (GstObject * object,
                                  const gchar * property_name,
                                  GstControlSource * cs_a,
                                  GstControlSource * cs_r,
                                  GstControlSource * cs_g,
                                  GstControlSource * cs_b)

Create a new control-binding that attaches the given GstControlSource to the GObject property.

Parameters:

`object` –

the object of the property

`property_name` –

the property-name to attach the control source

`cs_a` –

the control source for the alpha channel

`cs_r` –

the control source for the red channel

`cs_g` –

the control source for the green channel

`cs_b` –

the control source for the blue channel

Returns ( [transfer: floating]) –

the new GstARGBControlBinding

#### GstController.ARGBControlBinding.prototype.new

    function GstController.ARGBControlBinding.prototype.new(object: Gst.Object, property_name: String, cs_a: Gst.ControlSource, cs_r: Gst.ControlSource, cs_g: Gst.ControlSource, cs_b: Gst.ControlSource): {
        // javascript wrapper for 'gst_argb_control_binding_new'
    }

Create a new control-binding that attaches the given Gst.ControlSource to the GObject.Object property.

Parameters:

`object` (Gst.Object) –

the object of the property

`property_name` (String) –

the property-name to attach the control source

`cs_a` (Gst.ControlSource) –

the control source for the alpha channel

`cs_r` (Gst.ControlSource) –

the control source for the red channel

`cs_g` (Gst.ControlSource) –

the control source for the green channel

`cs_b` (Gst.ControlSource) –

the control source for the blue channel

Returns (Gst.ControlBinding) –

the new GstController.ARGBControlBinding

#### GstController.ARGBControlBinding.new

    def GstController.ARGBControlBinding.new (object, property_name, cs_a, cs_r, cs_g, cs_b):
        #python wrapper for 'gst_argb_control_binding_new'

Create a new control-binding that attaches the given Gst.ControlSource to the GObject.Object property.

Parameters:

`object` (Gst.Object) –

the object of the property

`property_name` (str) –

the property-name to attach the control source

`cs_a` (Gst.ControlSource) –

the control source for the alpha channel

`cs_r` (Gst.ControlSource) –

the control source for the red channel

`cs_g` (Gst.ControlSource) –

the control source for the green channel

`cs_b` (Gst.ControlSource) –

the control source for the blue channel

Returns (Gst.ControlBinding) –

the new GstController.ARGBControlBinding

### Properties

#### control-source-a

    “control-source-a” GstControlSource *

Flags : Read / Write / Construct

#### control-source-a

    “control-source-a” Gst.ControlSource

Flags : Read / Write / Construct

#### control_source_a

    “self.props.control_source_a” Gst.ControlSource

Flags : Read / Write / Construct

#### control-source-b

    “control-source-b” GstControlSource *

Flags : Read / Write / Construct

#### control-source-b

    “control-source-b” Gst.ControlSource

Flags : Read / Write / Construct

#### control_source_b

    “self.props.control_source_b” Gst.ControlSource

Flags : Read / Write / Construct

#### control-source-g

    “control-source-g” GstControlSource *

Flags : Read / Write / Construct

#### control-source-g

    “control-source-g” Gst.ControlSource

Flags : Read / Write / Construct

#### control_source_g

    “self.props.control_source_g” Gst.ControlSource

Flags : Read / Write / Construct

#### control-source-r

    “control-source-r” GstControlSource *

Flags : Read / Write / Construct

#### control-source-r

    “control-source-r” Gst.ControlSource

Flags : Read / Write / Construct

#### control_source_r

    “self.props.control_source_r” Gst.ControlSource

Flags : Read / Write / Construct

## Constants

### GST_TYPE_ARGB_CONTROL_BINDING

    #define GST_TYPE_ARGB_CONTROL_BINDING \
      (gst_argb_control_binding_get_type())

The results of the search are